{"openapi":"3.0.4","info":{"title":"Get an agent","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/candela"}],"paths":{"/api/agents/{scope}/{code}":{"get":{"tags":["Agents"],"summary":"Get an agent","operationId":"GetAgent","parameters":[{"name":"code","in":"path","description":"The code of the agent","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"version","in":"query","description":"Optional. A specific version of the agent. Default is the latest version.","schema":{"type":"integer","format":"int32"},"x-nullable":true},{"name":"scope","in":"path","description":"The scope of the agent. Default is \"default\"","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string","default":"default"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"/docs/api/candela/schemas.json#/components/schemas/AgentDefinition"},"example":{"scope":"default","code":"support-agent","version":1,"name":"Customer Support Agent","prompt":"You are a helpful customer support agent for our application. You assist users with technical issues, answer questions about features, and provide guidance on best practices.","examplePrompts":["How do book a transaction","What is Impersonation","I cannot see my portfolios"],"createdBy":"user@example.com","createdAt":"2024-01-15T10:30:00.0000000+00:00","isEnabled":true,"toolNames":["ReadTransactionsFromLusid","ListPortfolioScopes","ListPortfolioCodesInScope","ListPortfoliosInPortfolioGroup","ReadAnyFileFromLusidDrive","ReadCsvFileFromLusidDrive","WriteFileToLusidDrive"],"description":"Agent from customer support team which provides help to customers on various topics","overridesSystemAgent":false,"isActive":true}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/candela/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"404":{"description":"The requested agent was not found","content":{"application/json":{"schema":{"$ref":"/docs/api/candela/schemas.json#/components/schemas/LusidProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/candela/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"EarlyAccess"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}